Package ru.bitel.bgbilling.modules.card.common.bean

# Class Dealer

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.card.common.bean.Dealer

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Dealer extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Dealer.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `PARAM_TEST`
  `static final String`
  `PARAM_TEST_STR`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Dealer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Dealer.Builder`
  `builder()`
  `boolean`
  `canAppendComment()`
  `long`
  `getAllowcontracts()`
  `int`
  `getAllowcontractsMode()`
  `int`
  `getCanselTime()`
  `String`
  `getCardContract()`
  `float`
  `getCardPercent()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Calendar`
  `getDate1()`
  `Calendar`
  `getDate2()`
  `int`
  `getError()`
  `long`
  `getFindmodes()`
  `String`
  `getIp()`
  `String`
  `getLogin()`
  `int`
  `getParams()`
  `String`
  `getPassword()`
  `int`
  `getPayComissionType()`
  `String`
  `getPayContract()`
  `float`
  `getPayPercent()`
  `String`
  `getPt()`
  `int`
  `getStatFinded()`
  `int`
  `getStatPayed()`
  `int`
  `getStatRequest()`
  `int`
  `getType()`
  `Dealer`
  `setAllowcontracts(long allowcontracts)`
  `Dealer`
  `setAllowcontractsMode(int allowcontractsMode)`
  `Dealer`
  `setCanselTime(int endTime)`
  `Dealer`
  `setCardContract(String cardContract)`
  `Dealer`
  `setCardPercent(float cardPercent)`
  `Dealer`
  `setComment(String comment)`
  `Dealer`
  `setContractId(int contractId)`
  `Dealer`
  `setDate1(Calendar date1)`
  `Dealer`
  `setDate2(Calendar date2)`
  `Dealer`
  `setError(int error)`
  `Dealer`
  `setFindmodes(long findmodes)`
  `Dealer`
  `setIp(String ip)`
  `Dealer`
  `setLogin(String login)`
  `Dealer`
  `setParams(int params)`
  `Dealer`
  `setPassword(String password)`
  `Dealer`
  `setPayComissionType(int payComissionType)`
  `Dealer`
  `setPayContract(String payContract)`
  `Dealer`
  `setPayPercent(float payPercent)`
  `Dealer`
  `setPt(String pt)`
  `Dealer`
  `setStatFinded(int finded)`
  `Dealer`
  `setStatPayed(int payed)`
  `Dealer`
  `setStatRequest(int request)`
  `Dealer`
  `setType(int type)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### PARAM_TEST

    public static final int PARAM_TEST
    See Also:
      - Constant Field Values

  - ### PARAM_TEST_STR

    public static final String PARAM_TEST_STR
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Dealer

    public Dealer()

- ## Method Details

  - ### canAppendComment

    public boolean canAppendComment()

  - ### getAllowcontracts

    public long getAllowcontracts()

  - ### getAllowcontractsMode

    public int getAllowcontractsMode()

  - ### getCanselTime

    public int getCanselTime()

  - ### getCardContract

    public String getCardContract()

  - ### getCardPercent

    public float getCardPercent()

  - ### getComment

    public String getComment()

  - ### getContractId

    public int getContractId()

  - ### getDate1

    public Calendar getDate1()

  - ### getDate2

    public Calendar getDate2()

  - ### getError

    public int getError()

  - ### getFindmodes

    public long getFindmodes()

  - ### getIp

    public String getIp()

  - ### getLogin

    public String getLogin()

  - ### getParams

    public int getParams()

  - ### getPassword

    public String getPassword()

  - ### getPayComissionType

    public int getPayComissionType()

  - ### getPayContract

    public String getPayContract()

  - ### getPayPercent

    public float getPayPercent()

  - ### getPt

    public String getPt()

  - ### getStatFinded

    public int getStatFinded()

  - ### getStatPayed

    public int getStatPayed()

  - ### getStatRequest

    public int getStatRequest()

  - ### getType

    public int getType()

  - ### setAllowcontracts

    public Dealer setAllowcontracts(long allowcontracts)

  - ### setAllowcontractsMode

    public Dealer setAllowcontractsMode(int allowcontractsMode)

  - ### setCanselTime

    public Dealer setCanselTime(int endTime)

  - ### setCardContract

    public Dealer setCardContract(String cardContract)

  - ### setCardPercent

    public Dealer setCardPercent(float cardPercent)

  - ### setComment

    public Dealer setComment(String comment)

  - ### setContractId

    public Dealer setContractId(int contractId)

  - ### setDate1

    public Dealer setDate1(Calendar date1)

  - ### setDate2

    public Dealer setDate2(Calendar date2)

  - ### setError

    public Dealer setError(int error)

  - ### setFindmodes

    public Dealer setFindmodes(long findmodes)

  - ### setIp

    public Dealer setIp(String ip)

  - ### setLogin

    public Dealer setLogin(String login)

  - ### setParams

    public Dealer setParams(int params)

  - ### setPassword

    public Dealer setPassword(String password)

  - ### setPayComissionType

    public Dealer setPayComissionType(int payComissionType)

  - ### setPayContract

    public Dealer setPayContract(String payContract)

  - ### setPayPercent

    public Dealer setPayPercent(float payPercent)

  - ### setPt

    public Dealer setPt(String pt)

  - ### setStatFinded

    public Dealer setStatFinded(int finded)

  - ### setStatPayed

    public Dealer setStatPayed(int payed)

  - ### setStatRequest

    public Dealer setStatRequest(int request)

  - ### setType

    public Dealer setType(int type)

  - ### builder

    public static Dealer.Builder builder()